Bug 124719 - kmenuedit does not update menu in FC2, kdebase-3.2.2-4
kmenuedit does not update menu in FC2, kdebase-3.2.2-4
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 15:45 EDT by Marcus Watkins
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 05:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Watkins 2004-05-28 15:45:57 EDT
Description of problem:
kmenuedit does not update the menu. (as a normal user)
Seems to create .desktop files in ~/.local/share/applications/ but if
you exit out of kmenuedit (after saving) and go back in, changes are
not made. Menus are not updated either.

Version-Release number of selected component (if applicable):
Newly installed FC2 after running up2date.
kdebase-3.2.2-4

How reproducible:
Try to edit the menu in KDE on FC2

Steps to Reproduce:
1. Open kmenuedit
2. Create new subitem under a previously existing folder
3. Save
4. Changes won't be reflected
  
Actual results:
Change not made

Expected results:
New menu item exists.

Additional info:
Comment 1 Greg 2004-06-17 04:28:04 EDT
If you delete the ~.config directory.  Start a KDE session, saving 
seems to work.  If you start a gnome first then KDE, the saving does 
not work.  Greg
Comment 2 Ngo Than 2004-06-24 19:06:40 EDT
yes, remove $HOME/.config, it's a workaround for this problem.

Comment 3 Ngo Than 2004-07-05 05:58:48 EDT
it seems it's fixed in current KDE 3.3 Beta 1. It works fine for me
with 3.3 Beta1

Note You need to log in before you can comment on or make changes to this bug.